<template>
  <div>
  </div>
</template>

<script>
import { mapActions } from 'vuex'

export default {
  mounted() {
    if (this.isWeComEnv()) {
      // 企业微信环境处理
      const code = this.$route.query.code
      this.getWechatLogin(code).then(() => {
        this.$router.replace('/')
      })
    } else {
      // 非企业微信环境，跳转到普通登录页
      this.$router.replace('/login')
    }
  },
  methods: {
    // 判断是否为企业微信环境
    isWeComEnv() {
      // return true
      const userAgent = window.navigator.userAgent.toLowerCase()
      return userAgent.includes('wxwork') || (userAgent.includes('micromessenger') && userAgent.includes('wxwork'))
    },
    // 映射 Vuex 中的 getWechatLogin 方法
    ...mapActions(['getWechatLogin'])
  }
}
</script>
